//
// Created by sebastian on 08.02.26.
//

#ifndef TILEINTERACTIONSYSTEM_H
#define TILEINTERACTIONSYSTEM_H
#include "../engine/platform/glfw/MousePicker.h"
#include "hexWorld/Map.h"


class TileInteractionSystem {
public:
    void update(Map& map, const Camera& camera, const MousePicker& mousePicker);
    void handleBuildAction(Map& map);
};



#endif //TILEINTERACTIONSYSTEM_H
